Subject: Alluvial Gold Dore Bar For Sale

From: Gold Dore Bars <[email-masked]>
Date: Wed, 19 May 2021 10:38:43 +0200 (CEST)

Hello,
 
We are the miners and seller of gold Dore Bars here in Ivory Coast West 
Africa; we have a large quantity of gold Dore Bars for sale and we also 
looking for a potential and genuine buyer.
 
We have a soft and workable procedure and we sell at good price.
 
we pay 7% commission per kg to Agent/Mandate or Intermediary.
 
We look forward in doing a long lasting business transaction with you.
 
Best Regards
Mr.serge wilfried